From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-filter-repo/
Date: Tue, 30 Jan 2024 05:10:38 +0000 (UTC) [thread overview]
Message-ID: <1706591389.b1fbda7edf5813611c10d61a1e8e872af67fc8e0.sam@gentoo> (raw)
commit: b1fbda7edf5813611c10d61a1e8e872af67fc8e0
Author: Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Thu Jan 25 17:13:03 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 30 05:09:49 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1fbda7e
dev-vcs/git-filter-repo: install the upstream manpage
Regression in commit 4757774468319fcc805c4d3b3b8ee5acaf03bcac.
Sadly upstream doesn't have a decent Makefile. They do have a Makefile,
and it has an install target, but it's incompatible with making it an
importable module. To cap it off, it installs to nonexistent html
directories that don't use the git configure settings, then runs
`which`.
Previously, we had a hand-rolled src_install that ran dobin/doman. This
was updated to hack the ever-living heck out of distutils-r1, to make
use of upstream's other terrible build system -- a setup.py that relies
on setuptools-scm but doesn't export information, create dist tarballs,
use git_archival.txt, or even ***have setup.py in the project root***.
Certainly, setup.py doesn't actually install manpages.
So, we install half the package with distutils-r1 and restore the other
half by using doman.
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../git-filter-repo-2.38.0-r2.ebuild | 54 ++++++++++++++++++++++
1 file changed, 54 insertions(+)
diff --git a/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r2.ebuild b/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r2.ebuild
new file mode 100644
index 000000000000..7e7515e9e497
--- /dev/null
+++ b/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit distutils-r1
+
+DESCRIPTION="Quickly rewrite git repository history (filter-branch replacement)"
+HOMEPAGE="https://github.com/newren/git-filter-repo/"
+SRC_URI="https://github.com/newren/git-filter-repo/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-vcs/git-$(ver_cut 1-2)
+"
+
+S="${S}/release"
+
+python_prepare_all() {
+ cat > PKG-INFO <<-EOF || die
+ Metadata-Version: 2.1
+ Name: git-filter-repo
+ Version: ${PV}
+ EOF
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ cd .. || die
+ bash t/run_tests || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # Just like git itself there is a manpage in troff + html formats.
+ # Unlike git itself, we cannot install the html one, because the
+ # `git --html-path` has the ${PV} of git in it. So just install
+ # the troff copy.
+ doman "${WORKDIR}"/${P}/Documentation/man1/git-filter-repo.1
+
+ # Points to dead symlink
+ rm "${ED}"/usr/share/doc/${PF}/README.md || die
+ rmdir "${ED}"/usr/share/doc/${PF} || die
+
+ dodoc "${WORKDIR}"/${P}/README.md
+}
next reply other threads:[~2024-01-30 5:10 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-30 5:10 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-04 7:46 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-filter-repo/ Michał Górny
2024-08-20 22:25 Mike Pagano
2024-08-16 10:15 Mike Pagano
2024-08-16 10:14 Mike Pagano
2024-04-14 18:11 Michał Górny
2024-04-14 18:11 Michał Górny
2024-01-30 10:51 Sam James
2024-01-30 6:22 Sam James
2024-01-30 6:18 Sam James
2024-01-30 6:18 Sam James
2024-01-30 6:18 Sam James
2024-01-30 6:18 Sam James
2024-01-30 5:10 Sam James
2024-01-29 6:38 WANG Xuerui
2023-12-17 14:06 Mart Raudsepp
2023-01-10 4:44 Sam James
2023-01-10 4:44 Sam James
2022-12-30 1:09 Sam James
2022-10-12 23:32 Sam James
2022-10-12 23:32 Sam James
2022-10-12 23:32 Sam James
2022-10-12 23:32 Sam James
2022-10-12 23:32 Sam James
2022-10-11 12:24 Michał Górny
2021-11-16 7:49 Michał Górny
2021-10-29 12:19 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1706591389.b1fbda7edf5813611c10d61a1e8e872af67fc8e0.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox